%define	module		DateTime-Locale
%define	modprefix	DateTime
%define	name		perl-%{module}
%define	version		0.33
%define	release		%mkrel 2

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Localization support for DateTime
License:	GPL or Artistic
Group:		Development/Perl
Source:		http://www.cpan.org/modules/by-module/%{modprefix}/%{module}-%{version}.tar.bz2
Url:		http://search.cpan.org/dist/%{module}
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
BuildRequires:	perl(Module::Build)
BuildRequires:	perl(Params::Validate) >= 0.72
Epoch:		2

%description
The DateTime::Locale perl module is primarily a factory for the various locale
subclasses used by DateTime. It also provides some functions for getting
information on available locales.

If you want to know what methods are available for locale objects, then please
read the DateTime::Locale::Base documentation.

%prep
%setup -q -n %{module}-%{version}

%build
%{__perl} Build.PL installdirs=vendor destdir=%{buildroot}
./Build

%check
./Build test

%install
rm -rf %{buildroot}
./Build install

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{perl_vendorlib}/%{modprefix}
%{_mandir}/*/*


%changelog
* Sun Jan 28 2007 Scott Karns <scottk@mandriva.org> 0.33-2mdv2007.0
+ Revision: 114571
- Bumped revision
- \- Updated source URL- Updated dependencies per META.yml- Fixed file ownership

* Mon Jan 08 2007 Olivier Thauvin <nanardon@mandriva.org> 2:0.33-1mdv2007.1
+ Revision: 106112
- 0.33

* Sat Dec 09 2006 Olivier Thauvin <nanardon@mandriva.org> 2:0.32-1mdv2007.1
+ Revision: 93933
- 0.32
- Import perl-DateTime-Locale



* Mon Jun 06 2005 Nicolas Lcureuil <neoclust@mandriva.org> 2:0.22-1mdk
- 0.22
- Make rpmbuildhappy

* Fri Apr 01 2005 Olivier Thauvin <nanardon@mandrake.org> 0.21-4mdk
- put epoch to get this package upload

* Fri Apr 01 2005 Olivier Thauvin <nanardon@mandrake.org> 0.21-3mdk
- create %check section

* Fri Apr 01 2005 Olivier Thauvin <nanardon@mandrake.org> 0.21-2mdk
- BuildRequires

* Mon Mar 07 2005 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.21-1mdk
- 0.21

* Mon Nov  1 2004 Michael Scherer <misc@mandrake.org> 0.09-2mdk
- BuildRequires

* Thu Aug 26 2004 Rafael Garcia-Suarez <rgarciasuarez@mandrakesoft.com> 0.09-1mdk
- Initial MDK release.
